﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ProjectCloneWizard.ViewModels;

namespace ProjectCloneWizard
{
    /// <summary>
    /// Interaction logic for Page4.xaml
    /// </summary>
    public partial class ProcessPage
    {
        public ProcessPage()
        {
            InitializeComponent();
            Loaded += OnLoaded;
        }

        private async void OnLoaded(object sender, RoutedEventArgs routedEventArgs)
        {
            var viewModel = DataContext as ProcessPageViewModel;
            if (viewModel == null)
                return;
            await viewModel.Start();
        }
    }
}
