﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace Pilot.Xps.Domain.Windows
{
    public class NaturalComparer : IComparer<string>
    {
        public static int Compare(string a, string b)
        {
            if (a == null && b == null)
                return 0;
            if (a == null)
                return -1;
            if (b == null)
                return 1;

            return StrCmpLogicalW(a, b);
        }

        int IComparer<string>.Compare(string x, string y)
        {
            return Compare(x, y);
        }

        [DllImport("shlwapi.dll", CharSet = CharSet.Unicode)]
        private static extern int StrCmpLogicalW(string psz1, string psz2);
    }
}
